'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _reactRedux = require('react-redux');

var _MonteCarloActions = require('./MonteCarloActions');

var actions = _interopRequireWildcard(_MonteCarloActions);

var _MonteCarloView = require('./MonteCarloView');

var _MonteCarloView2 = _interopRequireDefault(_MonteCarloView);

var _MonteCarloSelector = require('./MonteCarloSelector');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

/** This is a Container.  Place all code
 * portions that deal with the server
 * or Redux in this file.  It is not
 * for handling display templates */

var mapStateToProps = function mapStateToProps(state, ownProps) {
    var clientId = ownProps.clientId,
        subdivision = state.MonteCarloWidget;
    return {
        steps: subdivision ? subdivision.steps : null,
        probability_chart_data: (0, _MonteCarloSelector.get_monte_carlo_probability_data)(state),
        chart_data: (0, _MonteCarloSelector.get_monte_carlo_chart_data)(state),
        logged_in: subdivision ? subdivision.logged_in : false,
        target_low: subdivision ? subdivision.target_low : 70,
        target_high: subdivision ? subdivision.target_high : 100,
        trial_count: subdivision ? subdivision.trial_count : 250,
        probability_of_success: subdivision ? subdivision.probability_of_success : 0,
        client_missing: subdivision ? subdivision.client_missing : false,
        fp_empty: subdivision ? subdivision.fp_empty : false,
        clientId: clientId
    };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
    return {
        set_logged_in: function set_logged_in(logged_in) {
            dispatch(actions.set_logged_in(logged_in));
        },
        set_client_id: function set_client_id(clientId) {
            dispatch(actions.set_client_id(clientId));
        },
        set_system_id: function set_system_id(systemId) {
            dispatch(actions.set_system_id(systemId));
        },
        set_app_id: function set_app_id(appId) {
            dispatch(actions.set_app_id(appId));
        },
        check_logged_in: function check_logged_in() {
            dispatch(actions.check_logged_in());
        }
    };
};
var MonteCarloWidget = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_MonteCarloView2.default);

exports.default = MonteCarloWidget;