'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _redux = require('redux');

var _MonteCarloActions = require('./MonteCarloActions');

var actions = _interopRequireWildcard(_MonteCarloActions);

var _extensions = require('../helpers/extensions');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var initialState = {
    clientId: null,
    logged_in: false
};

var MonteCarloWidgetReducer = function MonteCarloWidgetReducer() {
    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
    var action = arguments[1];

    switch (action.type) {
        case actions.RECEIVE_MONTE_CARLO:
            var monte_carlo_obj = JSON.parse(action.monte_carlo);
            return Object.assign({}, state, {
                monte_carlo: monte_carlo_obj.chart,
                target_low: monte_carlo_obj.target[0],
                target_high: monte_carlo_obj.target[1],
                trial_count: monte_carlo_obj.chart.monteCarloTrialsCount,
                probability_of_success: Math.round(100 * monte_carlo_obj.chart.probabilityOfSuccess)
            });
        case actions.SET_EMPTY_FP:
        case actions.SET_MISSING_CLIENT:
        case actions.SET_ID_TOKEN:
        case actions.SET_ACCESS_TOKEN:
        case actions.SET_CLIENT_ID:
        case actions.SET_SYSTEM_ID:
        case actions.SET_APP_ID:
        case actions.SET_LOGGED_IN:
            var local_action = (0, _extensions.clone)(action);
            delete local_action.type;
            return Object.assign({}, state, _extends({}, local_action));
        default:
            return state;
    }
};

exports.default = (0, _redux.combineReducers)({
    MonteCarloWidget: MonteCarloWidgetReducer
});