'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.MonteCarlo = exports.MonteCarloProbability = undefined;

var _extensions = require('../helpers/extensions');

var chartDescriptors = {
    MonteCarloProbability: {
        chart: {
            plotBackgroundColor: null,
            plotBorderWidth: null,
            plotShadow: false,
            backgroundColor: 'transparent',
            spacing: [0, 0, 0, 0],
            width: 70,
            height: 70
        },
        title: {
            text: '',
            verticalAlign: 'middle'
        },
        plotOptions: {
            pie: {
                size: 70,
                innerSize: 48,
                dataLabels: {
                    enabled: false
                },
                point: {
                    events: {}
                }
            },
            series: {
                states: {
                    hover: {
                        enabled: false
                    }
                }
            }
        },
        tooltip: {
            formatter: function formatter() {
                return false;
            }
        },
        series: [{
            type: 'pie',
            name: 'Probability of Success',
            data: []
        }],
        credits: {
            enabled: false
        }
    },
    MonteCarlo: {
        chart: {
            type: 'spline'
        },
        credits: {
            enabled: false
        },
        title: {
            text: ''
        },
        xAxis: {
            labels: {
                step: 5,
                style: {
                    fontSize: '14px',
                    fontWeight: '700',
                    color: '#aaa',
                    fontFamily: 'Open Sans, helvetica, sans-serif'
                },
                staggerLines: 1
            },
            tickWidth: 0
        },
        yAxis: {
            min: 0,
            title: {
                text: ''
            },
            stackLabels: {
                enabled: false
            },
            labels: {
                formatter: function formatter() {
                    return '$' + (0, _extensions.short_number_format)(this.value, 0);
                }
            },
            gridLineColor: '#ddd',
            gridLineDashStyle: 'Dot',
            gridLineWidth: 2,
            style: {
                fontFamily: 'Open Sans, helvetica, sans-serif',
                fontSize: '13px',
                color: '#888'
            }
        },
        legend: {
            enabled: false
        },
        gridLineWidth: 0,
        plotOptions: {
            spline: {
                marker: {
                    enabled: false,
                    states: {
                        hover: {
                            enabled: false
                        }
                    }
                }
            }
        },
        tooltip: {
            useHTML: true,
            shadow: false,
            borderWidth: 0,
            backgroundColor: "rgba(255,255,255,0)",
            borderRadius: 0,
            formatter: function formatter() {
                return '<div><strong>' + this.series.name + '</strong><br>Age ' + this.x + ' / $' + (0, _extensions.short_number_format)(this.y, 0) + '</div>';
            }
        }
    }
};

var MonteCarloProbability = exports.MonteCarloProbability = chartDescriptors.MonteCarloProbability;
var MonteCarlo = exports.MonteCarlo = chartDescriptors.MonteCarlo;

exports.default = chartDescriptors;