"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var helpers = {
    clone: function clone(obj) {
        var copy;

        // Handle the 3 simple types, and null or undefined
        if (null == obj || "object" != (typeof obj === "undefined" ? "undefined" : _typeof(obj))) return obj;

        // Handle Date
        if (obj instanceof Date) {
            copy = new Date();
            copy.setTime(obj.getTime());
            return copy;
        }

        // Handle Array
        if (obj instanceof Array) {
            copy = [];
            for (var i = 0, len = obj.length; i < len; i++) {
                copy[i] = _clone(obj[i]);
            }
            return copy;
        }

        // Handle Object
        if (obj instanceof Object) {
            copy = {};
            for (var attr in obj) {
                if (obj.hasOwnProperty(attr)) copy[attr] = _clone(obj[attr]);
            }
            return copy;
        }

        throw new Error("Unable to copy obj! Its type isn't supported.");
    },
    short_number_format: function short_number_format(number, decimals) {
        decimals = typeof decimals !== 'undefined' && decimals >= 0 ? parseInt(decimals) : 2;
        var n = Math.round(number).toString(),
            len = n.length,
            lang = ['', 'K', 'M', 'B', 'T'],
            index = Math.floor((len - 1) / 3),
            ll = lang.length,
            i = index < ll ? index : ll - 1,
            //max is lang.length - 1
        wlen = len - 3 * i,
            dec = parseFloat('0.' + n.substr(wlen, decimals)),
            num = parseInt(n.substr(0, wlen)),
            tot = num + dec;
        return tot + lang[i];
    }
};

var _clone = helpers.clone;
exports.clone = _clone;
var short_number_format = exports.short_number_format = helpers.short_number_format;

exports.default = helpers;