'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _storeCreator = require('./storeCreator');

var _storeCreator2 = _interopRequireDefault(_storeCreator);

var _reactRedux = require('react-redux');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _MonteCarloReducer = require('./MonteCarloWidget/MonteCarloReducer');

var _MonteCarloReducer2 = _interopRequireDefault(_MonteCarloReducer);

var _userManager = require('./userManager');

var _userManager2 = _interopRequireDefault(_userManager);

var _MonteCarloContainer = require('./MonteCarloWidget/MonteCarloContainer');

var _MonteCarloContainer2 = _interopRequireDefault(_MonteCarloContainer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var MonteCarloWidget = function (_Component) {
    _inherits(MonteCarloWidget, _Component);

    function MonteCarloWidget() {
        _classCallCheck(this, MonteCarloWidget);

        return _possibleConstructorReturn(this, (MonteCarloWidget.__proto__ || Object.getPrototypeOf(MonteCarloWidget)).apply(this, arguments));
    }

    _createClass(MonteCarloWidget, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                systemId = _props.systemId,
                clientId = _props.clientId,
                appId = _props.appId,
                webapi_endpoint = _props.webapi_endpoint,
                identity_endpoint = _props.identity_endpoint,
                silent_renew_endpoint = _props.silent_renew_endpoint,
                signin_endpoint = _props.signin_endpoint,
                store = (0, _storeCreator2.default)(_MonteCarloReducer2.default, systemId);

            window.ADVIZR = Object.assign({}, window.ADVIZR, {
                appId: appId,
                webapi_endpoint: webapi_endpoint,
                identity_endpoint: identity_endpoint,
                silent_renew_endpoint: silent_renew_endpoint,
                signin_endpoint: signin_endpoint
            });
            (0, _userManager2.default)(appId);
            return _react2.default.createElement(
                _reactRedux.Provider,
                { store: store },
                _react2.default.createElement(_MonteCarloContainer2.default, this.props)
            );
        }
    }]);

    return MonteCarloWidget;
}(_react.Component);

exports.default = MonteCarloWidget;


MonteCarloWidget.propTypes = {
    appId: _propTypes2.default.string.isRequired,
    systemId: _propTypes2.default.string.isRequired,
    clientId: _propTypes2.default.string.isRequired,
    webapi_endpoint: _propTypes2.default.string.isRequired,
    identity_endpoint: _propTypes2.default.string.isRequired,
    silent_renew_endpoint: _propTypes2.default.string,
    signin_endpoint: _propTypes2.default.string
};

window.SetupMonteCarloWidgetNonReact = function (opts) {
    setTimeout(function () {
        window.ADVIZR.webapi_endpoint = opts.webapi_endpoint;
        window.ADVIZR.identity_endpoint = opts.identity_endpoint;
        window.ADVIZR.internal_testing = opts.internal_testing;
        window.ADVIZR.silent_renew_endpoint = opts.silent_renew_endpoint;
        window.ADVIZR.signin_endpoint = opts.signin_endpoint;
        (0, _reactDom.render)(_react2.default.createElement(MonteCarloWidget, { systemId: opts.systemId.toString(), appId: opts.appId,
            signin_endpoint: opts.signin_endpoint,
            webapi_endpoint: opts.webapi_endpoint,
            silent_renew_endpoint: opts.silent_renew_endpoint,
            identity_endpoint: opts.identity_endpoint,
            clientId: opts.clientId.toString() }), document.querySelector(opts.container));
    }, 0);
};