"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _oidcClient = require("oidc-client");

if (!window.ADVIZR || !window.ADVIZR.um) window.ADVIZR = Object.assign({}, window.ADVIZR, { um: null });

var userManagerConfig = function userManagerConfig(systemId) {
    return {
        authority: window.ADVIZR.identity_endpoint,
        client_id: systemId,
        response_type: "id_token token",
        scope: "openid profile email roles api.action-steps api.monte-carlo",
        loadUserInfo: false,
        popupWindowFeatures: "width=500,height=580,left=100,top=100",
        popup_redirect_uri: window.location + window.ADVIZR.signin_endpoint,
        accessTokenExpiringNotificationTime: 10,
        silent_redirect_uri: window.location + window.ADVIZR.silent_renew_endpoint,
        automaticSilentRenew: true,
        checkSessionInterval: 60000,
        userStore: new _oidcClient.WebStorageStateStore({ store: localStorage })
    };
};

var userManager = function userManager(systemId) {
    if (systemId == null && window.ADVIZR.um != null) return window.ADVIZR.um;else if (systemId != null) {
        window.ADVIZR.um = new _oidcClient.UserManager(userManagerConfig(systemId));
        return window.ADVIZR.um;
    } else {
        window.ADVIZR.um = new _oidcClient.UserManager(userManagerConfig(window.ADVIZR.systemId));
        return window.ADVIZR.um;
    }
};

exports.default = userManager;